package musalhk.android.peoplebook;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

public class PeopleEdit extends Activity {
	private EditText mNameText;
	private EditText mPhoneText;
	private EditText mEmailText;
	private Long mRowId;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.list_edit);
		
		mNameText = (EditText) findViewById(R.id.edit_name);
		mPhoneText = (EditText) findViewById(R.id.edit_phone);
		mEmailText = (EditText) findViewById(R.id.edit_email);
		Button edit_save = (Button) findViewById(R.id.edit_save);
		
		mRowId = null;
		Bundle extras = getIntent().getExtras();
		
		if( extras != null ) {
			String name = extras.getString(PeopleDb.KEY_NAME);
			String phone = extras.getString(PeopleDb.KEY_PHONE);
			String email = extras.getString(PeopleDb.KEY_EMAIL);	
		
			if( name != null ) {
				mNameText.setText(name);
			}
			
			if( phone != null ) {
				mPhoneText.setText(phone);
			}
			
			if( email != null ) { 
				mEmailText.setText(email);
			}
		}
		
		edit_save.setOnClickListener(new View.OnClickListener() {
			public void onClick(View view) {
				Bundle bundle = new Bundle();
				bundle.putString(PeopleDb.KEY_NAME,
						mNameText.getText().toString());
				bundle.putString(PeopleDb.KEY_PHONE,
						mPhoneText.getText().toString());
				bundle.putString(PeopleDb.KEY_EMAIL,
						mNameText.getText().toString());
				
				if( mRowId != null) {
					bundle.putLong(PeopleDb.KEY_ROWID, mRowId);
				}
				
				Intent mIntent = new Intent();
				mIntent.putExtras(bundle);
				setResult(RESULT_OK, mIntent);
				finish();
			}
		});
	}
}
